Subject: Re: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Sep 2021 20:12:06 +0300

> Cc: [email-masked], [email-masked]
> From: Ken Brown <[email-masked]>
> Date: Sun, 19 Sep 2021 12:17:51 -0400
> 
> >> In the meantime, is it OK if I install my patch to enable building with native
> >> compilation?  That would simplify experimentation.
> > 
> > Yes, it's okay to install that, but it's a band-aid at best, and we'd
> > like to have the complete solution in Emacs before we release v28.1.
> > Is that feasible?
> 
> Yes, I think so.

Great, let's hopw you will succeed.

> And if we're not able to do it, I would propose disabling native
> compilation on 32-bit Cygwin.  The user experience is terrible as it
> stands.

Yes, that's why I said "unworkable".  Indeed, disabling it in that
case would be TRT.